Page MenuHomePhabricator

Enable anon cookie blocking on all Wikimedia wikis
Closed, ResolvedPublic1 Story Points

Event Timeline

TBolliger triaged this task as Low priority.Apr 11 2018, 6:55 PM
TBolliger created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2018, 6:55 PM
TBolliger raised the priority of this task from Low to Normal.Apr 11 2018, 6:56 PM
TBolliger moved this task from Backlog to User blocking on the MediaWiki-User-management board.
Restricted Application added a subscriber: MGChecker. · View Herald TranscriptApr 11 2018, 6:56 PM
TBolliger moved this task from Untriaged to Blocked on the Anti-Harassment board.Apr 11 2018, 6:57 PM
TBolliger set the point value for this task to 1.

It looks like the limited release in T196121: Enable set cookie with IP/IP-Range blocks when blocking logged-out users on itwiki is not causing any problems and we can proceed with this task. The numbers in Graphite look reasonable and I found no reports of unexpected blocking problems on Italian Wikipedia's major discussion locations (Talk:Main Page, Information desk, Oracle, Bar, or their talk page for blocking policies.)

Let's take this into our next sprint!

Before you move forward with this, could you please make sure legal updates the cookie statement accordingly? There was information about the block cookie in the old template that was shown, but that is no longer being used. I emailed them about this but haven't heard back.

As you may know, some admins in the EU are worried they could theoretically be sued for issuing a cookie by blocking someone. I don't think this is something you or them should worry about (because it's the software that issues the cookie, not the admin), but the cookie statement should be reflected to reduce worries.

Thank, you @MusikAnimal for reminding me — it's probably good to triple check with Legal. If I remember correctly Legal already signed-off on releasing this without adjusting the cookie policy because this type of cookie is used for site stability, not for monetization.

If you sent a recent email to them, could you please CC me into the thread?

Just got the go-ahead from Legal. Adding to our next sprint!

dbarratt claimed this task.Jul 6 2018, 3:43 PM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 25) board.

Change 444246 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[operations/mediawiki-config@master] Enable anonymous cookie blocking

https://gerrit.wikimedia.org/r/444246

Change 444246 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable anonymous cookie blocking

https://gerrit.wikimedia.org/r/444246

Mentioned in SAL (#wikimedia-operations) [2018-07-11T23:17:46Z] <thcipriani@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:444246|Enable anonymous cookie blocking]] T192017 (duration: 00m 58s)

dbarratt closed this task as Resolved.Jul 11 2018, 11:18 PM
dbarratt moved this task from Review to Done on the Anti-Harassment (AHT Sprint 25) board.